### Function

# Soup form_encode_valist

#### Declaration [src]

    char*
    soup_form_encode_valist (
      const char* first_field,
      va_list args
    )

#### Description [src]

See `soup_form_encode()`.

This is mostly an internal method, used by various other methods such as `soup_form_encode()`.

See also: `soup_message_new_from_encoded_form()`.

This function is not directly available to language bindings

#### Parameters

`first_field` | `const char*`
| Name of the first form field.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`args` | `va_list`
| Pointer to additional values, as in `soup_form_encode()`

#### Return value

Returns: | `char*`
| The encoded form.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.